Subject: Llvm & Musl Libc - "function-like macro '__GNUC_PREREQ' is not defined"
From: NR <[email-masked]>
To: [email-masked]
Date: Sun, 11 May 2025 10:18:17 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I was aiming to build a llvm/musl-based system, and while something
like `bash` will build fine, I encountered this error attempting to
build coreutils:
```
In file included from lib/fts.c:53:
lib/fts_.h:70:32: error: function-like macro '__GNUC_PREREQ' is not defined
   70 | #   if defined __cplusplus && (__GNUC_PREREQ (2,8) ||
__clang_major__ >= 4)
```
Looking in the llvm source, the closest grep result I could find was:
```
llvm_project/llvm/include/llvm/Support/Compiler.h:/// Extend the
default __GNUC_PREREQ even if glibc's features.h isn't
```